
TOP_DIR = $$PWD

DEFINES += # USE_BIG_SCREEN

## DO NOT DELETE THIS LINE
#DEFINES += GL_GLEXT_PROTOTYPES

SRC_DIR     = $$TOP_DIR/src
SHD_DIR     = $$TOP_DIR/shader
GL3W_DIR    = $$TOP_DIR/gl3w
GLM_DIR     = $$TOP_DIR/glm
RSCR_DIR    = $$TOP_DIR/resources

INCLUDEPATH +=  . .. $$SRC_DIR  $$GL3W_DIR $$GLM_DIR


PROJECT_MAIN = dssbh_main.cpp

DBH_HEADERS = $$SRC_DIR/dssbh_gui.h   \
              $$SRC_DIR/dssbh_render.h \
              $$SRC_DIR/dssbh_utils.h

DBH_SOURCES = $$SRC_DIR/dssbh_gui.cpp \
              $$SRC_DIR/dssbh_render.cpp \
              $$SRC_DIR/dssbh_utils.cpp \
              $$GL3W_DIR/gl3w.c

OTHER_FILES = $$SHD_DIR/bh_distort.frag.c \
              $$SHD_DIR/bh_distort.vert.c \
              $$RSCR_DIR/viewer.css

CONFIG(debug, debug|release) {
    TARGET       = DssBHd
    DESTDIR      = $$TOP_DIR
    MOC_DIR      = $$TOP_DIR/compiled/debug/moc
    OBJECTS_DIR  = $$TOP_DIR/compiled/debug/object
    RCC_DIR      = $$TOP_DIR/compiled/debug
}

CONFIG(release, debug|release) {
    TARGET       = DssBH
    DESTDIR      = $$TOP_DIR
    MOC_DIR      = $$TOP_DIR/compiled/release/moc
    OBJECTS_DIR  = $$TOP_DIR/compiled/release/object
    RCC_DIR      = $$TOP_DIR/compiled/release
}

CONFIG  += console warn_on
QT      += core gui opengl
TEMPLATE = app

contains(QT_VERSION, ^5\\.[0-6]\\..*) {
QT += widgets
}

######################################################################  Input
HEADERS += $$DBH_HEADERS defs.h  
SOURCES += $$DBH_SOURCES $$PROJECT_MAIN

RESOURCES  = $$RSCR_DIR/dssbh.qrc

