/*
    dssbh_utils.h

  Copyright (c) 2009-2014  Thomas Mueller

    This file is part of DssBH.

    DssBH is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DssBH is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DssBH.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!   \file   dssbh_shader.h
      \brief  Shader tools.
*/

#ifndef DBH_UTILS_TOOLS_H
#define DBH_UTILS_TOOLS_H

#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <fcntl.h>

#ifndef _WIN32
#include <unistd.h>
#endif

#include "GL3/gl3w.h"


#define NR_SIGN(a,b) ((b) >= 0.0 ? fabs(a) : -fabs(a))

char*   readShader           ( std::string shaderName );
bool    printShaderInfoLog   ( GLuint shader );
bool    printProgramInfoLog  ( GLuint progr  );

bool    setShader            ( std::string vertShaderName, std::string fragShaderName, GLuint &program );

double  t_of_y               ( double y, void* params );
int     nrBrent              ( double (*func)(double, void*), void *params, double x1, double x2, double tol, double &x );
#endif
